org.richfaces.renderkit

## Class DragIndicatorRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.TemplateEncoderRendererBase
        - - org.richfaces.renderkit.DragIndicatorRendererBase

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    DragIndicatorRenderer

      public class DragIndicatorRendererBase
      extends org.richfaces.renderkit.TemplateEncoderRendererBase

  Base renderer class for drag indicator ( marker ).
  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCEPT`
    `static java.lang.String` | `ACCEPT_CLASS`
    `static java.lang.String` | `DEFAULT`
    `protected static java.util.Collection` | `FACETS_PREDEFINED`
    `protected static java.util.Collection` | `MARKERS_PREDEFINED`
    `static java.lang.String` | `MULTI`
    `static java.lang.String` | `REJECT`
    `static java.lang.String` | `REJECT_CLASS`
    `static java.lang.String` | `SINGLE`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragIndicatorRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildScripts(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeDnDParams(javax.faces.context.FacesContext context, UIDragIndicator component)`
    `void` | `encodeNamespace(javax.faces.context.FacesContext context, UIDragIndicator component)`
    `protected java.lang.Class` | `getComponentClass()`
    `protected java.lang.String` | `getPredefinedMarker(javax.faces.context.FacesContext context, java.lang.Object facetName)`
    `protected boolean` | `notHasFacet(javax.faces.component.UIComponent component, java.lang.Object facetName)`

    - ### Methods inherited from class org.richfaces.renderkit.TemplateEncoderRendererBase

      `createContentHandler, getRendersChildren, main, writeScriptBody, writeScriptBody`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCEPT_CLASS

          public static final java.lang.String ACCEPT_CLASS

      See Also:
        Constant Field Values

    - #### REJECT_CLASS

          public static final java.lang.String REJECT_CLASS

      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final java.lang.String ACCEPT

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final java.lang.String DEFAULT

      See Also:
        Constant Field Values

    - #### REJECT

          public static final java.lang.String REJECT

      See Also:
        Constant Field Values

    - #### MARKERS_PREDEFINED

          protected static final java.util.Collection MARKERS_PREDEFINED

    - #### SINGLE

          public static final java.lang.String SINGLE

      See Also:
        Constant Field Values

    - #### MULTI

          public static final java.lang.String MULTI

      See Also:
        Constant Field Values

    - #### FACETS_PREDEFINED

          protected static final java.util.Collection FACETS_PREDEFINED

  - ### Constructor Detail

    - #### DragIndicatorRendererBase

          public DragIndicatorRendererBase()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `org.richfaces.renderkit.TemplateEncoderRendererBase`
      Throws:
        `java.io.IOException`

    - #### notHasFacet

          protected boolean notHasFacet(javax.faces.component.UIComponent component,
                            java.lang.Object facetName)

    - #### getPredefinedMarker

          protected java.lang.String getPredefinedMarker(javax.faces.context.FacesContext context,
                                             java.lang.Object facetName)

    - #### encodeChildScripts

          public void encodeChildScripts(javax.faces.context.FacesContext context,
                                javax.faces.component.UIComponent component)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeNamespace

          public void encodeNamespace(javax.faces.context.FacesContext context,
                             UIDragIndicator component)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### encodeDnDParams

          public void encodeDnDParams(javax.faces.context.FacesContext context,
                             UIDragIndicator component)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014. All Rights Reserved.